<template>
  <main class="main">
    <product-card
      v-for="product in products"
      :key="product.id"
      :id="product.id"
      :title="product.title"
      :description="product.description"
      :price="product.price"
      :imgSrc="product.imgSrc"
      :isInsideMainPage="true"
      :isInsideCartPage="false"
    />
  </main>
</template>

<script>
import ProductCard from '@/components/elements/ProductCard'
import { useStore } from 'vuex'
import { computed } from 'vue'

export default {
  components: {
    ProductCard
  },
  setup () {
    const store = useStore()
    const products = computed(() => store.getters.GetProducts)
    return {
      products
    }
  }
}
</script>

<style lang="scss" scoped>
.main {
  margin-top: 75px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 35px 16px;
  flex-wrap: wrap;
}
</style>
